View Issue Details

IDProjectCategoryView StatusLast Update
0005198Kali Linux[All Projects] Kali Package Bugpublic2019-01-07 14:15
ReporterskacpAssigned To 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0005198: KingPhisher unable to start client
DescriptionUnable to open KingPhisher client.

following exception occurs after todays dist-upgrade :

king-phisher ./KingPhisher
Traceback (most recent call last):
**
* cleaned - unable to send bevause of exploit attempt message *
**
    from markdown.extensions.smart_strong import SmartEmphasisExtension
ModuleNotFoundError: No module named 'markdown.extensions.smart_strong'


see attached file for full trace
Steps To Reproducerun /usr/share/king-phisher/KingPhisher in a terminal
or start the client from the menu
Additional Informationpython3-gfm is not ready for markdown >= 3.* (the
python3-markdown version 3.0.1-2 is in kali-rolling since a few days).

I disabled the "import mdx_partial_gfm" as you suggested.
Fixed in version 1.12.0-0kali2

Activities

skacp

2019-01-07 10:09

reporter  

trace.jpg (95,016 bytes)
trace.jpg (95,016 bytes)

skacp

2019-01-07 12:11

reporter   ~0010175

workaround:
comment "import mdx_partial_gfm" in /usr/share/king-phisher/king_phisher/client/widget/extras.py line 46

Issue History

Date Modified Username Field Change
2019-01-07 10:05 skacp New Issue
2019-01-07 10:09 skacp File Added: trace.jpg
2019-01-07 12:11 skacp Note Added: 0010175
2019-01-07 14:15 sbrun Status new => resolved
2019-01-07 14:15 sbrun Resolution open => fixed
2019-01-07 14:15 sbrun Additional Information Updated View Revisions